--
-- AttacherVehicleHasControlPanel
-- Specialization for AttacherVehicleHasControlPanel functionality
--
-- Modschmiede / LS-Modsource
-- @author  Manuel Leithner
-- @modified Tobias F. (John Deere 6930, 1. LS-Modschmiede)
-- @date  01/10/09

AttacherVehicleHasControlPanel = {};

function AttacherVehicleHasControlPanel.prerequisitesPresent(specializations)
    return true;
end;

function AttacherVehicleHasControlPanel:load(xmlFile)
	self.controlPanel = {}
	self.controlPanel.node  = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.controlpanel#index"));
	self.controlPanel.loaded = nil;
	self.controlPanel.implement = nil;


	[[self.controlAttacherVehicle = nil;
	self.controlPanel = nil;]]
end;

function AttacherVehicleHasControlPanel:delete()
end;

function AttacherVehicleHasControlPanel:mouseEvent(posX, posY, isDown, isUp, button)
end;

function AttacherVehicleHasControlPanel:keyEvent(unicode, sym, modifier, isDown)
end;

function AttacherVehicleHasControlPanel:update(dt)
	[[if self.controlPanel~=nil then
		if self.attacherVehicle~=nil then
			local panel = self.attacherVehicle.controlPanel;
			if panel ~= nil then
				if panel.loaded == nil then
					-- load,link i3d-File
					local i3dPanel = loadI3DFile(self.controlPanel);
					if i3dPanel ~= 0 then
						link(panel.node, i3dPanel);
						panel.loaded = i3dPanel;
						panel.implement = self;
						self.controlAttacherVehicle = attacherVehicle;
					end;
				end;	
			end;
		end;
		
		if self.controlAttacherVehicle~=nil and self.attachedVehicle~=nil then
			print("delte")
			local controlPanel = self.controlAttacherVehicle.controlPanel;
			if controlPanel ~= nil then
				if controlPanel.implement == self then
					if self.attachedVehicle ~= nil then
						if controlPanel.loaded ~= nil then
							-- delete controlPanel
							delete(controlPanel.loaded);
							controlPanel.loaded = nil;
							controlPanel.implement = nil;
						end;
					end;
				end;
			end;
		end;

	end;]]
end;

function AttacherVehicleHasControlPanel:draw()
end;

function AttacherVehicleHasControlPanel:onAttach(attacherVehicle)
	[[self.controlPanel = attacherVehicle.controlPanel]]
end;


function AttacherVehicleHasControlPanel:onDetach()
print("delete")
	[[if self.controlAttacherVehicle ~= nil then
		local controlPanel = self.controlAttacherVehicle.controlPanel;
		if controlPanel ~= nil then
			if controlPanel.implement == self then
		    	if self.attachedVehicle ~= nil then
					if controlPanel.loaded ~= nil then
						-- delete controlPanel
						delete(controlPanel.loaded);
						controlPanel.loaded = nil;
						controlPanel.implement = nil;
					end;
				end;
			end;
		end;
		self.controlAttacherVehicle = nil;
	end;]]

end;
